## org.junit.runners.model
Class InitializationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.junit.runners.model.InitializationError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidTestClassError

    public class InitializationError

extends Exception

Represents one or more problems encountered while initializing a Runner

Since:
  4.5
See Also:
  Serialized Form

Constructor Summary
`InitializationError(List<Throwable> errors)` Construct a new `InitializationError` with one or more errors `errors` as causes
`InitializationError(String string)` Construct a new `InitializationError` with one cause with message `string`
`InitializationError(Throwable error)`

Method Summary
`List<Throwable>` `getCauses()` Returns one or more Throwables that led to this initialization error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationError

    public InitializationError(List<Throwable> errors)

  Construct a new `InitializationError` with one or more errors `errors` as causes

### InitializationError

    public InitializationError(Throwable error)

### InitializationError

    public InitializationError(String string)

  Construct a new `InitializationError` with one cause with message `string`

Method Detail

### getCauses

    public List<Throwable> getCauses()

  Returns one or more Throwables that led to this initialization error.

Copyright © 2002–2020 JUnit. All rights reserved.